/[gentoo-x86]/media-video/arista/arista-0.9.5.ebuild
Gentoo

Contents of /media-video/arista/arista-0.9.5.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.9 - (show annotations) (download)
Mon Feb 11 19:49:47 2013 UTC (7 years, 4 months ago) by pinkbyte
Branch: MAIN
CVS Tags: HEAD
Changes since 1.8: +3 -1 lines
Add missing dependencies on gnome-base/librsvg and x11-themes/gnome-icon-theme, last - wrt bug #391321. Thanks to Travelinrob <rob AT clerk.com> for discovering this issue

(Portage version: 2.2.0_alpha161/cvs/Linux x86_64, unsigned Manifest commit)

1 # Copyright 1999-2013 Gentoo Foundation
2 # Distributed under the terms of the GNU General Public License v2
3 # $Header: /var/cvsroot/gentoo-x86/media-video/arista/arista-0.9.5.ebuild,v 1.8 2013/02/07 09:22:05 pinkbyte Exp $
4
5 EAPI="3"
6 PYTHON_DEPEND="2"
7 PYTHON_USE_WITH="xml"
8
9 inherit distutils
10
11 DESCRIPTION="An easy to use multimedia transcoder for the GNOME Desktop"
12 HOMEPAGE="http://www.transcoder.org"
13 SRC_URI="http://programmer-art.org/media/releases/arista-transcoder/${P}.tar.gz"
14
15 LICENSE="LGPL-2.1"
16 SLOT="0"
17 KEYWORDS="amd64 x86"
18 # Making these USE-defaults since encoding for portable devices is a very
19 # common use case for Arista. xvid is being added since it's required for
20 # DVD ripping. No gst-plugins-x264 available at this time.
21 IUSE="+faac kde nautilus +x264 +xvid"
22
23 DEPEND="dev-python/setuptools"
24 RDEPEND=">=x11-libs/gtk+-2.16:2
25 || ( dev-lang/python:2.7 dev-lang/python:2.6 dev-python/simplejson )
26 >=dev-python/pygtk-2.16:2
27 dev-python/pygobject:2
28 dev-python/pycairo
29 dev-python/gconf-python:2
30 dev-python/dbus-python
31 dev-python/python-gudev
32 gnome-base/librsvg
33 >=media-libs/gstreamer-0.10.22:0.10
34 dev-python/gst-python:0.10
35 media-libs/gst-plugins-base:0.10
36 media-libs/gst-plugins-good:0.10
37 media-libs/gst-plugins-bad:0.10
38 media-plugins/gst-plugins-meta:0.10
39 media-plugins/gst-plugins-ffmpeg:0.10
40 x11-themes/gnome-icon-theme
41 nautilus? ( dev-python/nautilus-python )
42 kde? ( dev-python/librsvg-python )
43 faac? ( media-plugins/gst-plugins-faac:0.10 )
44 x264? ( media-plugins/gst-plugins-x264:0.10 )
45 xvid? ( media-plugins/gst-plugins-xvid:0.10 )"
46
47 pkg_setup() {
48 python_set_active_version 2
49 python_pkg_setup
50 }
51
52 pkg_postinst() {
53 distutils_pkg_postinst
54
55 einfo "If you find that a format you want is not supported in Arista,"
56 einfo "please make sure that you have the corresponding USE-flag enabled"
57 einfo "media-plugins/gst-plugins-meta"
58 }

  ViewVC Help
Powered by ViewVC 1.1.20